wrong permissions of click packages due to adb shell umask of 0000

Bug #1215480 reported by Loïc Minier on 2013-08-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
click (Ubuntu)
High
Colin Watson

Bug Description

Hi,

Starting a root shell with adb shell gets me an umask of 0000 which causes side effects; e.g. when installing a click package with click install, it wont have the same permissions as others installed via the scope:
drwxrwxrwx 3 clickpkg clickpkg 4096 Aug 22 14:43 ar.com.beuno.hello-world
drwxrwxrwx 3 clickpkg clickpkg 4096 Aug 22 14:58 com.ubuntu.developer.mhall119.xda-developers-app
drwxr-xr-x 3 clickpkg clickpkg 4096 Aug 19 13:21 com.ubuntu.dropping-letters
drwxr-xr-x 3 clickpkg clickpkg 4096 Aug 19 13:21 com.ubuntu.stock-ticker-mobile
drwxr-xr-x 3 clickpkg clickpkg 4096 Aug 19 13:21 com.ubuntu.sudoku

I believe we should fix click to set permissions of click package dirs and adb to set umask correctly.

Cheers,

Related branches

Loïc Minier (lool) wrote :

adb bug at #1215481

summary: - adb shell has umask 0000
+ wrong permissions of click packages due to adb shell umask of 0000
Changed in click (Ubuntu):
importance: Undecided → Medium
tags: added: appstore
Colin Watson (cjwatson) on 2013-09-04
Changed in click (Ubuntu):
status: New → Triaged
importance: Medium → High
Colin Watson (cjwatson) on 2013-09-04
Changed in click (Ubuntu):
status: Triaged → Fix Committed
assignee: nobody → Colin Watson (cjwatson)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package click - 0.4.3

---------------
click (0.4.3) saucy; urgency=low

  * Add support for multiple installation root directories, configured in
    /etc/click/databases/. Define /usr/share/click/preinstalled,
    /custom/click, and /opt/click.ubuntu.com by default.
  * Add --all-users option to "click install" and "click register": this
    registers the installed package for a special pseudo-user "@all", making
    it visible to all users.
  * Add "click hook install-user", which runs all user-level hooks for all
    packages for a given user. This is useful at session startup to catch
    up with packages that may have been preinstalled and registered for all
    users.
  * Run "click hook install-user" on session startup from an Upstart user
    job.
  * Avoid calling "click desktophook" if
    /usr/share/click/hooks/upstart-app-launch-desktop.hook exists.
  * Force umask to a sane value when dropping privileges (022 for clickpkg,
    current-umask | 002 for other users; LP: #1215480).
  * Use aa-exec-click rather than aa-exec in .desktop files generated by
    "click desktophook" (LP: #1197047).
 -- Colin Watson <email address hidden> Wed, 04 Sep 2013 17:01:58 +0100

Changed in click (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers